| ECC1C 145-944-00

Public Member Functions | List of all members
Systemabstract

## Public Member Functions
uint8 | getSystemID ()
virtual Error | getRegister (uint32 &value, const uint16 address)
virtual Error | setRegister (const uint16 address, const uint32 value)
virtual Error | isWritableRegister (const uint16 address)
virtual Error | isWritableValue (const uint16 address, const uint32 value)
virtual uint8 | getRegisterCount (void)=0
virtual Error | getVector (uint8 *vector, const uint16 address, const uint16 index, const uint8 size)
virtual Error | setVector (const uint8 *vector, const uint16 address, const uint16 index, const uint8 size)

## Detailed Description

A system is the basic register holder. All systems in that hold registers should implement this interface

## Member Function Documentation

## ◆ getRegister()

virtual Error getRegister | ( | uint32 & | value,
|  | const uint16 | address
| ) |  |
| inline virtual

Get the register content for the given address for this system, 0 on invalid address

## ◆ getRegisterCount()

virtual uint8 getRegisterCount | ( | void |  | ) |
| pure virtual

Get the number of registers of the given system

## ◆ getSystemID()

uint8 getSystemID | ( |  | ) |
| inline

Get the system unique identifier

## ◆ getVector()

virtual Error getVector | ( | uint8 * | vector,
|  | const uint16 | address,
|  | const uint16 | index,
|  | const uint8 | size
| ) |  |
| inline virtual

Get the vector content for the given address for this system, 0 on invalid address

## ◆ isWritableRegister()

virtual Error isWritableRegister | ( | const uint16 | address | ) |
| inline virtual

Check whether the given register address exists and the register is writable for some values

## ◆ isWritableValue()

virtual Error isWritableValue | ( | const uint16 | address,
|  | const uint32 | value
| ) |  |
| inline virtual

Check whether the given register address exists and the value is a valid value to set to this register

Referenced by SystemManager::isValidSystemRegisterValue().

## ◆ setRegister()

virtual Error setRegister | ( | const uint16 | address,
|  | const uint32 | value
| ) |  |
| inline virtual

Set the register content for the given address

Referenced by SystemManager::setSystemRegister().

## ◆ setVector()

virtual Error setVector | ( | const uint8 * | vector,
|  | const uint16 | address,
|  | const uint16 | index,
|  | const uint8 | size
| ) |  |
| inline virtual

Set the vector content for the given address